Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextBlockUserData

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QTextBlockUserData

All Implemented Interfaces:
  QtJambiInterface

    public class QTextBlockUserData

extends QtJambiObject

The `QTextBlockUserData` class is used to associate custom data with blocks of text. `QTextBlockUserData` provides an abstract interface for container classes that are used to associate application-specific user data with text blocks in a `QTextDocument`.

Generally, subclasses of this class provide functions to allow data to be stored and retrieved, and instances are attached to blocks of text using `QTextBlock::setUserData()`. This makes it possible to store additional data per text block in a way that can be retrieved safely by the application.

Each subclass should provide a reimplementation of the destructor to ensure that any private data is automatically cleaned up when user data objects are deleted.

See also:
  `QTextBlock`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QTextBlockUserData()` Creates a new QTextBlockUserData

Method Summary
`static QTextBlockUserData` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QTextBlockUserData instance pointed to by `nativePointer`.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextBlockUserData

    public QTextBlockUserData()

  Creates a new QTextBlockUserData

Method Detail

### fromNativePointer

    public static QTextBlockUserData fromNativePointer(QNativePointer nativePointer)

  This method returns the QTextBlockUserData instance pointed to by `nativePointer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD